package com.engine.organization.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.organization.entity.codesetting.param.CodeSaveParam;
import com.engine.organization.service.CodeSettingService;
import com.engine.organization.service.impl.CodeSettingServiceImpl;
import com.engine.organization.util.response.ReturnResult;
import weaver.hrm.User;

/**
 * @Author weaver_cl
 * @description:
 * @Date 2022/5/30
 * @Version V1.0
 **/
public class CodeSettingWrapper extends Service {

    public CodeSettingService getCodeSettingService(User user) {
        return ServiceUtil.getService(CodeSettingServiceImpl.class, user);
    }

    public ReturnResult getHasRight(String serialtype) {
        return getCodeSettingService(user).getHasRight(serialtype);
    }

    public ReturnResult saveOrUpdateCodeSetting(CodeSaveParam params) {
        return ReturnResult.successed(getCodeSettingService(user).saveOrUpdateCodeSetting(params));
    }
}
